Subject: Re: [ietf-nomcom] Experiment in "full transparency"

From: John C Klensin <[email-masked]>
Date: Sun, 12 Nov 2017 12:24:55 -0500

Sorry for the slow response to this, but I've been preoccupied
with other issues and more specific comments...

--On Saturday, October 28, 2017 3:36 PM +0100 Stephen Farrell
<[email-masked]> wrote:

>...
> The reason for this mail though is that I figure the utility of
> the liaisons increases as the voting members are less
> experienced IETFers. Highly experienced voting members could
> likely get by with fewer liaisons, but if we're more likely to
> have less experienced voting members the non-voting folks seem
> to me to be a thing to be very careful about ditching, even if
> 6/16 seems like a lot.

I think this is true.  At the same time, having liaisons present
who explain "how things work" in the relevant bodies creates an
inherent bias toward keeping them working that way, possibly as
well as reinforcing some tendencies toward returning incumbents
(if only in the interest of stability and continuity).

Those are not necessarily bad things, but the Nomcom also has
considerable responsibility for determining the strategic
direction of the IETF (IAB included) by the choices it makes.
That makes possible discussions along the lines of lines of "is
that group doing what we want as a body (or even set of ADs) or
is it time to seat a new group that will set new directions"
important.   Liaisons who represent, and are expected to
advocate for, the incumbent body and its definition of what it
should be doing are an impediment to such discussions even while
they may provide useful insights.

I have similar concerns about liaisons participating in
interviews.  Depending on dynamics within the leadership bodies
(not just the one a particular liaison comes from) those
liaisons may bring strong biases for or against an incumbent to
the interview or reports to the rest of the Nomcom about the
interview as well as insights into how an incumbent is or is not
effective and how they play well with others.

These are a tricky balances, both specifically and relative to
the points you make, and I think the Nomcom should be sensitive
them, and should have considerable flexibility about how
liaisons are involved, what information they have access to, etc.

best,
   john

---

From: Stephen Farrell <[email-masked]>
Date: Sun, 12 Nov 2017 22:26:42 +0000

Hiya,

On 12/11/17 17:24, John C Klensin wrote:
> them, 

I pretty much agree about the existence of the pros and cons of
non-voting nomcom members you and I mentioned. (I don't agree
that liaisons are there to "advocate" though, but they could do
that when asked for information of course so it's a fair point
to consider.)

> and should have considerable flexibility about how

I agree in theory with your last above, but I suspect it's not
practical to have the nomcom voting members, likely as one of
their early decisions, figure out what liaisons can and cannot
see. Maybe some ex-nomcom chair might have ideas as to how that
could be done and of the pros/cons of having differential access
to nomcom data. (As of when I was on nomcom the tooling allowed
anyone with access to that year's private key to see all of the
comments etc and IIRC only the chair had additional buttons to
press so more fine-grained access control would be a chunk of
work to figure out.)

I do fully agree though that nomcom voting members ought to be
able to decide how they use liaisons, but I think that's already
the case, other than the above access control issue.

S.

---

From: S Moonesamy <[email-masked]>
Date: Sun, 12 Nov 2017 15:17:39 -0800

Hi John,
>(if only in the interest of stability and continuity).

It seems that it is not clear whether the non-member of NomCom serves 
as a liaison or an advisor.  Is it up to the liaison to tell NomCom: 
"don't pay too much attention to what is written; this is how things 
actually work" and implying that it should be kept like that?

>effective and how they play well with others.

Is there a rationale for a liaison to participate in a NomCom 
interview?  I don't have a strong opinion about whether where it 
causes a bias for or against an incumbent as it is up to NomCom 
members to make the decision(s).

Regards,
S. Moonesamy

---

From: Stephen Farrell <[email-masked]>
Date: Sun, 12 Nov 2017 23:31:16 +0000

FWIW, my take on your questions...

On 12/11/17 23:17, S Moonesamy wrote:
> It seems that it is not clear whether the non-member of NomCom serves as
> a liaison or an advisor.  Is it up to the liaison to tell NomCom: "don't
> pay too much attention to what is written; this is how things actually
> work" and implying that it should be kept like that?
> 

I think both liaison and advisor is right and yes I'd like that
liaisons do make the kind of statement you quote above. I'd not
like that liaisons try to direct what nomcom does and yes it
could be a fine line to tread.

> interview?  I don't have a strong opinion about whether where it causes
> a bias for or against an incumbent as it is up to NomCom members to make
> the decision(s).

IIRC, it helped with logistics - 10 voting members trying to
interview O(50) folks during the November IETF when they all
have other stuff to do is hard to schedule, so having 5 or
6 more folks who can help in interviews, e.g. taking notes or
ensuring that questions aren't forgotten/skipped seems to me
to be useful. When I was the IESG's liaison I avoided any of
the interviews for AD roles, and only sat in on one or maybe
two of the other interviews, I think other liaisons helped
out more.

S.

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 13 Nov 2017 13:22:28 +0800

Just to top-post, I am reading this thread with interest.

I talked with the IESG on Sunday morning about other Nomcom updates, and
where we're headed, is toward a few more small updates - for instance,
we've had a concern raised that having voting members drop out after the
Nomcom is selected means that everyone knows who is "next" on the list of
volunteers, and that's exploitable if you have any influence on a person
selected as a voting member and like the "next" volunteer more.

Some of the updates seem simple, but others are more complex - it turns out
that IAB-IESG-IAOC moves are really a matrix, and one of the moves is in
the BCP, but others are not.

I'm reading the most recent round of 10,000-meter "are we doing the right
thing?" discussion with interest. Where we ended up yesterday, was thinking
that IASA 2.0 is potentially going to change what we ask Nomcom to review,
so maybe we should wait to see what the future workload looks like. On the
other hand, that's what were thinking, and it's not like no one ever grabs
one or more ADs and says "are you NUTS?", and most of the names I've seen
in these threads aren't shy about doing that.

All this to say, thank you for your attention, and we'll be back.

Spencer

On Mon, Nov 13, 2017 at 7:31 AM, Stephen Farrell <[email-masked]>
wrote:

> _______________________________________________
> ietf-nomcom mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-nomcom
>
>